
package net.mcreator.testmod.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.EyesLayer;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.CreeperModel;

import net.mcreator.testmod.entity.DarkGuardianEntity;

public class DarkGuardianRenderer extends MobRenderer<DarkGuardianEntity, CreeperModel<DarkGuardianEntity>> {
	public DarkGuardianRenderer(EntityRendererProvider.Context context) {
		super(context, new CreeperModel(context.bakeLayer(ModelLayers.CREEPER)), 0.5f);
		this.addLayer(new EyesLayer<DarkGuardianEntity, CreeperModel<DarkGuardianEntity>>(this) {
			@Override
			public RenderType renderType() {
				return RenderType.eyes(new ResourceLocation("testmod:textures/download.png"));
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(DarkGuardianEntity entity) {
		return new ResourceLocation("testmod:textures/download.png");
	}
}
